Package com.smartgwt.client.widgets.tree

# Class DiscoverTreeSettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.tree.DiscoverTreeSettings

All Implemented Interfaces:
  `HasHandlers`

public class DiscoverTreeSettings extends DataClass
Defines a set of properties that specify how the tree will be explored by `Tree.discoverTree()`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscoverTreeSettings()`
  `DiscoverTreeSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChildrenPropertyMode`
  `getChildrenMode()`
  When heuristically finding a property that appears to contain child objects, the childrenMode determines how to chose the property that appears to contain child objects
  `String`
  `getNameProperty()`
  For string leaf nodes (if allowed), the name of the property to store the string under in the auto-created object
  `String`
  `getNewChildrenProperty()`
  What to rename the array of children once discovered.
  `static DiscoverTreeSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `ScanMode`
  `getScanMode()`
  Determines how to scan for the `Tree.childrenProperty`
  `TieMode`
  `getTieMode()`
  What to do if there is more than one possible `Tree.childrenProperty` when using scanMode "branch" or "level"
  `String`
  `getTypeProperty()`
  Each discovered child is labeled with a configurable "typeProperty" set to the value of the property that held the children
  `DiscoverTreeSettings`
  `setChildrenMode(ChildrenPropertyMode childrenMode)`
  When heuristically finding a property that appears to contain child objects, the childrenMode determines how to chose the property that appears to contain child objects
  `DiscoverTreeSettings`
  `setNameProperty(String nameProperty)`
  For string leaf nodes (if allowed), the name of the property to store the string under in the auto-created object
  `DiscoverTreeSettings`
  `setNewChildrenProperty(String newChildrenProperty)`
  What to rename the array of children once discovered.
  `DiscoverTreeSettings`
  `setScanMode(ScanMode scanMode)`
  Determines how to scan for the `Tree.childrenProperty`
  `DiscoverTreeSettings`
  `setTieMode(TieMode tieMode)`
  What to do if there is more than one possible `Tree.childrenProperty` when using scanMode "branch" or "level"
  `DiscoverTreeSettings`
  `setTypeProperty(String typeProperty)`
  Each discovered child is labeled with a configurable "typeProperty" set to the value of the property that held the children

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiscoverTreeSettings

    public DiscoverTreeSettings()

  - ### DiscoverTreeSettings

    public DiscoverTreeSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DiscoverTreeSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setChildrenMode

    public DiscoverTreeSettings setChildrenMode(ChildrenPropertyMode childrenMode)
    When heuristically finding a property that appears to contain child objects, the childrenMode determines how to chose the property that appears to contain child objects
    Parameters:
      `childrenMode` - New childrenMode value. Default value is ChildrenPropertyMode.ANY
    Returns:
      `DiscoverTreeSettings` instance, for chaining setter calls

  - ### getChildrenMode

    public ChildrenPropertyMode getChildrenMode()
    When heuristically finding a property that appears to contain child objects, the childrenMode determines how to chose the property that appears to contain child objects
    Returns:
      Current childrenMode value. Default value is ChildrenPropertyMode.ANY

  - ### setNameProperty

    public DiscoverTreeSettings setNameProperty(String nameProperty)
    For string leaf nodes (if allowed), the name of the property to store the string under in the auto-created object
    Parameters:
      `nameProperty` - New nameProperty value. Default value is null
    Returns:
      `DiscoverTreeSettings` instance, for chaining setter calls

  - ### getNameProperty

    public String getNameProperty()
    For string leaf nodes (if allowed), the name of the property to store the string under in the auto-created object
    Returns:
      Current nameProperty value. Default value is null

  - ### setNewChildrenProperty

    public DiscoverTreeSettings setNewChildrenProperty(String newChildrenProperty)
    What to rename the array of children once discovered. If not set, it will default to the value of `Tree.childrenProperty` inside discoverTree()
    Parameters:
      `newChildrenProperty` - New newChildrenProperty value. Default value is null (see below)
    Returns:
      `DiscoverTreeSettings` instance, for chaining setter calls

  - ### getNewChildrenProperty

    public String getNewChildrenProperty()
    What to rename the array of children once discovered. If not set, it will default to the value of `Tree.childrenProperty` inside discoverTree()
    Returns:
      Current newChildrenProperty value. Default value is null (see below)

  - ### setScanMode

    public DiscoverTreeSettings setScanMode(ScanMode scanMode)
    Determines how to scan for the `Tree.childrenProperty`
    Parameters:
      `scanMode` - New scanMode value. Default value is ScanMode.BRANCH
    Returns:
      `DiscoverTreeSettings` instance, for chaining setter calls

  - ### getScanMode

    public ScanMode getScanMode()
    Determines how to scan for the `Tree.childrenProperty`
    Returns:
      Current scanMode value. Default value is ScanMode.BRANCH

  - ### setTieMode

    public DiscoverTreeSettings setTieMode(TieMode tieMode)
    What to do if there is more than one possible `Tree.childrenProperty` when using scanMode "branch" or "level"
    Parameters:
      `tieMode` - New tieMode value. Default value is TieMode.NODE
    Returns:
      `DiscoverTreeSettings` instance, for chaining setter calls

  - ### getTieMode

    public TieMode getTieMode()
    What to do if there is more than one possible `Tree.childrenProperty` when using scanMode "branch" or "level"
    Returns:
      Current tieMode value. Default value is TieMode.NODE

  - ### setTypeProperty

    public DiscoverTreeSettings setTypeProperty(String typeProperty)
    Each discovered child is labeled with a configurable "typeProperty" set to the value of the property that held the children
    Parameters:
      `typeProperty` - New typeProperty value. Default value is null
    Returns:
      `DiscoverTreeSettings` instance, for chaining setter calls

  - ### getTypeProperty

    public String getTypeProperty()
    Each discovered child is labeled with a configurable "typeProperty" set to the value of the property that held the children
    Returns:
      Current typeProperty value. Default value is null